<?php
namespace Claromentis\Search\ItemType;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Search;
use Claromentis\Search\GlobalSearchItemInterface;




class Document implements GlobalSearchItemInterface
{
    protected Indexing\Document $indexingDocument;
    public function __construct(Indexing\Document $_708c227b32360852f1c3e689f738b7ab)
    {
        $this->indexingDocument = $_708c227b32360852f1c3e689f738b7ab;
    }
    
    
    
    
    public function GetIndexingObject()
    {
        return $this->indexingDocument;
    }
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_6905a4a1c788ec5cb2cfea8ca6e4043e = new Search\Permissions();
        $_c8ba0a70fbe4e78e8e79bae73b35a132 = $_6905a4a1c788ec5cb2cfea8ca6e4043e->GetSearchFilter($context, Indexing\Document::FIELD_NAME_PERMS);
        return $_c8ba0a70fbe4e78e8e79bae73b35a132;
    }
    
    
    
    
    public function GetView()
    {
        return new View\Document();
    }
}